Change project settings
Name, visibility, publicVisitorData, sqlEnabled, widgetReports, allowed origins and retention.
An API token from POST /v2/tokens (at_live_...), or a project's secret key (sk_...) for server-side ingest.
In: header
Path Parameters
The project id, as listed by GET /v2/projects.
1 <= lengthOnly the fields sent are changed; send at least one.
TypeScript Definitions
Use the request body type in TypeScript.
Only the fields sent are changed; send at least one.
1 <= propertiesResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/v2/projects/string" \ -H "Content-Type: application/json" \ -d '{ "visibility": "public", "retentionDays": 180 }'{ "data": { "id": "client-portal", "visibility": "public", "publicVisitorData": false, "retentionDays": 180, "updatedAt": "2026-09-27T16:42:00.000Z" }}